Bug 217154 - Configuration option missing for remote port
Summary: Configuration option missing for remote port
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-24 13:28 UTC by Giuseppe Paterno
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 0.3.2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 13:59:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Giuseppe Paterno 2006-11-24 13:28:36 UTC
Description of problem:
NetworkManager-OpenVPN seems not to support other ports rather than the standard
OpenVPN. A parameter is needed to specify a remote port different than 1194.

Version-Release number of selected component (if applicable): 0.3.2-7.fc6

Comment 1 Sean E. Millichamp 2006-12-08 21:52:19 UTC
Agreed.  I need the ability to set OpenVPN to use port 443 (which we have as an
option at work to get around many restrictive firewalls).  I tried the form
'hostname:443' and it did not do the right thing.


Comment 2 Tim Niemueller 2006-12-25 01:47:49 UTC
There is a "hidden" option available through GConf to set the remote port. We
didn't want to put another field on the already-full configuration dialog.
Having the option to set hostname:port as remote host would be a way out of this
dilemma though which I will investigate during the next few days.

To get it working for now use the GConf editor and edit
/system/networking/vpn_connections/YOUR_VPN (where YOUR_VPN is the name of your
VPN connection) and add two items to the vpn_data list, the first item of this
pair has to be "port" and the second one the port number. Merry Christmas!

Comment 3 Tim Niemueller 2007-11-23 13:59:31 UTC
The current release has a port entry field in the advanced settings.


Note You need to log in before you can comment on or make changes to this bug.